Subject: bug#10246: closed (Re: bug#10246: R6RS library form broken?)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 08 Dec 2011 20:07:02 +0000

Your bug report

#10246: R6RS library form broken?

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10246: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10246
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10246: R6RS library form broken?
From: Andy Wingo <[email-masked]>
To: Ian Price <[email-masked]>
Cc: Tobias Brandt <[email-masked]>, [email-masked]
Date: Thu, 08 Dec 2011 21:05:34 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu 08 Dec 2011 00:00, Ian Price <[email-masked]> writes:

> Tobias Brandt <[email-masked]> writes:
>
>> (library (foo))
>
> This is a misunderstanding on your part, I'm afraid. R6RS library forms
> are intended to wrap the code[0]; they are not declarations to be placed at
> the top. The manual does mention this[1], by noting the syntax for library
> is
>
> (library name (export export-spec ...) (import import-spec ...) body ...)

Indeed.  Thanks for the answer, Ian.

In the new email-happy bug system, to close a bug you edit the Cc: list
to add -done after the bug number, as I have done here.  Feel free to do
this for any bug that you feel is done; if we make a mistake, we can
simply re-open it.

I'm sure we could do better accounting as to the kind of resolution and
such, but I'm most concern with simply marking bugs as being resolved.

Regards, and happy hacking to you both :-)

Andy
-- 
http://wingolog.org/

Subject: R6RS library form broken?
From: Tobias Brandt <[email-masked]>
To: [email-masked]
Date: Wed, 7 Dec 2011 18:53:59 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm running the latest git version (2.0.3.244-04ec29).
Declaring a R6RS style library doesn't work:

(library (foo))

=>
ice-9/psyntax.scm:1422:30: In procedure expand-macro:
ice-9/psyntax.scm:1422:30: Syntax error:
source expression failed to match any pattern in form (library (foo))

while this does:

(define-module (foo))